Last modified: 2014-09-26 14:03:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17099 - "Discussion" tab should have indication of nonexistent target page (other than color)
"Discussion" tab should have indication of nonexistent target page (other tha...
Status: NEW
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Low trivial with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: accessibility, patch, patch-need-review
Depends on:
Blocks: 367
  Show dependency treegraph
 
Reported: 2009-01-20 23:46 UTC by Michael Zajac
Modified: 2014-09-26 14:03 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wrap tooltip in 'red-link-title' (4.58 KB, patch)
2011-10-07 10:57 UTC, Nikola Kovacs
Details
Wrap tooltips of my page / my talk links too (6.19 KB, patch)
2011-10-07 11:09 UTC, Nikola Kovacs
Details
Screenshot of Discussion tab in Vector for inexistent talk page (14.80 KB, image/png)
2012-05-25 03:40 UTC, Krinkle
Details
Screenshot of inline link in Vector to an inexistent page (tooltip) (23.79 KB, image/png)
2012-05-25 03:40 UTC, Krinkle
Details

Description Michael Zajac 2009-01-20 23:46:39 UTC
When a page has no discussion yet, this status is indicated by the red colour of the “Discussion” link in the tab at the top, but not by other means.  This is an accessibility blocker, because information conveyed by colour must also be indicated in text or markup: Priority 1 in WCAG 1.0 (http://www.w3.org/TR/WCAG10/wai-pageauth.html#tech-color-convey), Level A in WCAG 2.0 (http://www.w3.org/TR/WCAG20/#visual-audio-contrast-without-color).

This could be fixed simply by appending “(page does not exist)” to the title attribute as is done for red links in the body of a page, or by changing the title from “Discussion about the content page” to “Start discussion about the content page”.
Comment 1 Nikola Kovacs 2011-10-07 10:57:50 UTC
Created attachment 9181 [details]
Wrap tooltip in 'red-link-title'

A patch that puts "(page does not exist)" into the title by wrapping the tooltip in 'red-link-title', the message used to generate the tooltip for red links.
Comment 2 Sumana Harihareswara 2011-10-07 11:04:20 UTC
Thanks for the patch, Nx.devnull.  I attached the keywords "patch" and "need-review" so other developers notice your patch and review it.
Comment 3 Nikola Kovacs 2011-10-07 11:09:35 UTC
Created attachment 9182 [details]
Wrap tooltips of my page / my talk links too

Just a small change so that the my page / my talk links in the personal toolbar get it too.
Comment 4 Sumana Harihareswara 2012-05-25 03:04:36 UTC
Nikola, thank you for your patch.  Are you interested in using developer access to directly suggest it into our Git source control system?  Sorry for the wait, and this would get it reviewed faster.

For reference:

https://www.mediawiki.org/wiki/Developer_access

https://www.mediawiki.org/wiki/Git/Workflow#How_to_submit_a_patch
Comment 5 Krinkle 2012-05-25 03:40:10 UTC
Created attachment 10649 [details]
Screenshot of Discussion tab in Vector for inexistent talk page
Comment 6 Krinkle 2012-05-25 03:40:51 UTC
Created attachment 10650 [details]
Screenshot of inline link in Vector to an inexistent page (tooltip)
Comment 7 Nemo 2013-03-10 11:47:51 UTC
To clarify (it confused me a bit): this bug is only asking something consistent with how red links behave normally, as Krinkle's screenshots show.
Comment 8 Gerrit Notification Bot 2013-05-12 19:03:44 UTC
Related URL: https://gerrit.wikimedia.org/r/63387 (Gerrit Change Ie3c12c66989665326cc10ea9a0bc1d569026faa0)
Comment 9 Gerrit Notification Bot 2014-09-26 14:03:51 UTC
Change 63387 abandoned by Luis Felipe Schenone:
Add "(page does not exist)" to non-existent talk pages' tooltip

Reason:
Master changed too much. Better to start a new change.

https://gerrit.wikimedia.org/r/63387

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links